#
# Conditional build:
%bcond_without	tests		# build without tests

%define	svnrev  275
%define	svndate 20131207
Summary:	API for manipulating JSON
Name:		jsoncpp
Version:	0.6.0
Release:	0.%{svndate}svn%{svnrev}.1
License:	MIT or Public Domain
Group:		Libraries
URL:		http://jsoncpp.sourceforge.net/
# Need to use svn.
# svn export https://jsoncpp.svn.sourceforge.net/svnroot/jsoncpp/trunk/jsoncpp jsoncpp
# tar cfj jsoncpp-20120626svn249.tar.bz2 jsoncpp
Source0:	%{name}-%{svndate}svn%{svnrev}.tar.bz2
# Source0-md5:	82a3375d3aa03474c2aad13dc8d48648
Source1:	%{name}.pc
Patch0:		%{name}-optflags.patch
BuildRequires:	scons
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSONCPP provides a simple API to manipulate JSON values, and handle
serialization and unserialization to strings.

%package devel
Summary:	Headers	and libraries for JSONCPP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers and libraries for JSONCPP.

%prep
%setup -q -n %{name}
%patch0 -p1
%{__sed} -i -e '
	s|g++|%{__cxx}| # FIXME: still does not work
	s|@@OPTFLAGS@@|%{rpmcxxflags} -fno-inline-small-functions|
' SConstruct

%build
%scons \
	platform=linux-gcc

# Now, lets make a proper shared lib. :P
%{__cxx} -o libjsoncpp.so.0.0.0 -shared -Wl,-soname,libjsoncpp.so.0 buildscons/linux-gcc-*/src/lib_json/*.os -lpthread %{rpmldflags}

%if %{with tests}
scons platform=linux-gcc check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/jsoncpp,%{_pkgconfigdir}}
install -p libjsoncpp.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
cp -a include/json $RPM_BUILD_ROOT%{_includedir}/jsoncpp
%{__sed} -e 's|@@LIBDIR@@|%{_libdir}|g' %{SOURCE1} > $RPM_BUILD_ROOT%{_pkgconfigdir}/jsoncpp.pc

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
ln -s $(basename $RPM_BUILD_ROOT%{_libdir}/libjsoncpp.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libjsoncpp.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS.txt README.txt version
%attr(755,root,root) %{_libdir}/libjsoncpp.so.0.0.0
%ghost %{_libdir}/libjsoncpp.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_includedir}/jsoncpp
%{_libdir}/libjsoncpp.so
%{_pkgconfigdir}/jsoncpp.pc
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jsoncpp.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> c78f989
- inline-small-function causes maxint32 test to fail on 32bit archs

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> a34854f
- updated to svn r275

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 01aa938
- cleanup release

* Sat Jan 26 2013 Lukasz Glebicki <blekot@pld-linux.org> 3831d8e
- up to svn 251

* Sun Nov 11 2012 Elan Ruusamäe <glen@delfi.ee> c4ee664
- fill Group to -devel subpackage, to avoid poldek crash. LP#1077603

* Sun Nov 11 2012 Elan Ruusamäe <glen@delfi.ee> 0cc95b9
- new, version 0.6.0-svn

